"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Contains definitions for all currently supported types of process tokens.
 *
 * The type of token determines the point in time at which the token was
 * recorded.
 */
var ProcessTokenType;
(function (ProcessTokenType) {
    /**
     * The token that was passed to the FlowNodeInstance when it started execution.
     */
    ProcessTokenType["onEnter"] = "onEnter";
    /**
     * The token the FlowNodeInstance had when it finished execution.
     */
    ProcessTokenType["onExit"] = "onExit";
    /**
     * The token the FlowNodeInstance had when it was suspended.
     */
    ProcessTokenType["onSuspend"] = "onSuspend";
    /**
     * The token the FlowNodeInstance had when it was resumed.
     * These type of tokens will only ever exist, if a corresponding
     * onSuspend type token was created first.
     */
    ProcessTokenType["onResume"] = "onResume";
})(ProcessTokenType = exports.ProcessTokenType || (exports.ProcessTokenType = {}));
//# sourceMappingURL=process_token_type.js.map