import { BpmnType } from '../constants';
import { MessageEventDefinition } from '../events/index';
import { Activity } from './activity';
/**
 * Describes a BPMN SendTask.
 *
 * A send task sends a user defined message to a ReceiveTask.
 *
 * In contrast to an Intermediate Message, a SendTask will block
 * the execution of the process, until a confirmation message from a
 * ReceiveTask was fetched.
 */
export declare class SendTask extends Activity {
    get bpmnType(): BpmnType;
    /**
     * This property contains the user defined message which should be
     * send to a receive task.
    ‚ */
    messageEventDefinition: MessageEventDefinition;
}
