import { FlowNode } from '../base/index';
/**
 * The base class for gateways.
 */
export declare abstract class Gateway extends FlowNode {
    /**
     * Determines the direction of the gateway.
     *
     * If no incoming and/or no outgoing SequenceFlows are associated with the
     * gateway, the direction will be 'unspecified', effectively rendering this
     * gateway non-executable.
     */
    get gatewayDirection(): GatewayDirection;
}
/**
 * Contains all possible Gateway directions.
 *
 * Mixed Gateways are currently not supported.
 * */
export declare enum GatewayDirection {
    Unspecified = "unspecified",
    Converging = "converging",
    Diverging = "diverging",
    Mixed = "mixed"
}
